Contacts
Get Company User Details by email
Returns the company contact whose email exactly matches email, including its metadata. Returns 404 when no contact in the company has that email. Requires a company admin token with permission to view contacts.
GET
/
api
/
company
/
contacts
/
find_by_email
Get Company User Details by email
curl --request GET \
--url https://api.fluid.app/api/company/contacts/find_by_email \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/contacts/find_by_email"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/contacts/find_by_email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/contacts/find_by_email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/contacts/find_by_email"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/contacts/find_by_email")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/contacts/find_by_email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"contact": {
"id": 48213,
"token": "pX7kQ2mR9vTzL4nB8cWfJ3hY",
"first_name": "Holly",
"last_name": "Flax",
"avatar_url": null,
"status": "customer",
"email": "holly.flax@gmail.com",
"email2": null,
"phone": "+15705550142",
"phone2": null,
"phone_id": null,
"address": "300 Kellum Court",
"address2": null,
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"language_id": 1,
"country_id": 214,
"lead_type": null,
"ip": null,
"requested_at": null,
"best_time": null,
"time_zone": "America/New_York",
"reason": null,
"income": null,
"hours": null,
"invest": null,
"interest": null,
"full_name": "Holly Flax",
"discarded_at": null,
"metadata": {
"crm_source": "hubspot",
"preferred_paper": "20lb-copy-paper"
}
},
"meta": {
"request_id": "9c4e2b7a-51d3-4f8e-a6b0-3d1f72c85e14",
"timestamp": "2026-09-18T14:05:22Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}⌘I
Get Company User Details by email
curl --request GET \
--url https://api.fluid.app/api/company/contacts/find_by_email \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/contacts/find_by_email"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/contacts/find_by_email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/contacts/find_by_email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/contacts/find_by_email"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/contacts/find_by_email")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/contacts/find_by_email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"contact": {
"id": 48213,
"token": "pX7kQ2mR9vTzL4nB8cWfJ3hY",
"first_name": "Holly",
"last_name": "Flax",
"avatar_url": null,
"status": "customer",
"email": "holly.flax@gmail.com",
"email2": null,
"phone": "+15705550142",
"phone2": null,
"phone_id": null,
"address": "300 Kellum Court",
"address2": null,
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"language_id": 1,
"country_id": 214,
"lead_type": null,
"ip": null,
"requested_at": null,
"best_time": null,
"time_zone": "America/New_York",
"reason": null,
"income": null,
"hours": null,
"invest": null,
"interest": null,
"full_name": "Holly Flax",
"discarded_at": null,
"metadata": {
"crm_source": "hubspot",
"preferred_paper": "20lb-copy-paper"
}
},
"meta": {
"request_id": "9c4e2b7a-51d3-4f8e-a6b0-3d1f72c85e14",
"timestamp": "2026-09-18T14:05:22Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}